searchNodes=[{"ref":"Nadia.html","title":"Nadia","type":"module","doc":"Provides access to Telegram Bot API. Reference https://core.telegram.org/bots/api #available-methods"},{"ref":"Nadia.html#add_sticker_to_set/5","title":"Nadia.add_sticker_to_set/5","type":"function","doc":"Use this method to add a new sticker to a set created by the bot. Returns True on success. Args: user_id - User identifier of created sticker set owner name - Sticker set name png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet. emojis - One or more emoji corresponding to the sticker Options: mask_position - A Nadia.Model.MaskPosition object for position where the mask should be placed on faces"},{"ref":"Nadia.html#answer_callback_query/2","title":"Nadia.answer_callback_query/2","type":"function","doc":"Use this method to send answers to callback queries sent from inline keyboards. The answer will be displayed to the user as a notification at the top of the chat screen or as an alert. On success, True is returned. Args: callback_query_id - Unique identifier for the query to be answered options - orddict of options Options: :text - Text of the notification. If not specified, nothing will be shown to the user :show_alert - If true, an alert will be shown by the client instead of a notification at the top of the chat screen. Defaults to false."},{"ref":"Nadia.html#answer_inline_query/3","title":"Nadia.answer_inline_query/3","type":"function","doc":"Use this method to send answers to an inline query. On success, True is returned. No more than 50 results per query are allowed. Args: inline_query_id - Unique identifier for the answered query results - An array of results for the inline query options - orddict of options Options: cache_time - The maximum amount of time in seconds that the result of the inline query may be cached on the server. Defaults to 300. is_personal - Pass True, if results may be cached on the server side only for the user that sent the query. By default, results may be returned to any user who sends the same query next_offset - Pass the offset that a client should send in the next query with the same text to receive more results. Pass an empty string if there are no more results or if you don‘t support pagination. Offset length can’t exceed 64 bytes. switch_pm_text - If passed, clients will display a button with specified text that switches the user to a private chat with the bot and sends the bot a start message with the parameter switch_pm_parameter. switch_pm_parameter - Parameter for the start message sent to the bot when user presses the switch button."},{"ref":"Nadia.html#create_new_sticker_set/6","title":"Nadia.create_new_sticker_set/6","type":"function","doc":"Use this method to create new sticker set owned by a user. The bot will be able to edit the created sticker set. Returns True on success. Args: user_id - User identifier of created sticker set owner name - Short name of sticker set, to be used in t.me/addstickers/ URLs (e.g., animals). Can contain only english letters, digits and underscores. Must begin with a letter, can&#39;t contain consecutive underscores and must end in “ by &lt;bot username&gt;”. &lt;bot_username&gt; is case insensitive. 1-64 characters. title - Sticker set title, 1-64 characters png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet. emojis - One or more emoji corresponding to the sticker Options: contains_masks - Pass True, if a set of mask stickers should be created mask_position - A Nadia.Model.MaskPosition object for position where the mask should be placed on faces"},{"ref":"Nadia.html#delete_message/2","title":"Nadia.delete_message/2","type":"function","doc":"Use this method to delete message from a chat. Bot should have admin permission to do that, and remember you can&#39;t delete messages that are more than 48 hours old. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message"},{"ref":"Nadia.html#delete_sticker_from_set/1","title":"Nadia.delete_sticker_from_set/1","type":"function","doc":"Use this method to delete a sticker from a set created by the bot. Returns True on success. Args: sticker - File identifier of the sticker"},{"ref":"Nadia.html#delete_webhook/0","title":"Nadia.delete_webhook/0","type":"function","doc":"Use this method to remove webhook integration if you decide to switch back to Nadia.get_updates/1 . Returns :ok on success. Requires no parameters."},{"ref":"Nadia.html#edit_message_caption/4","title":"Nadia.edit_message_caption/4","type":"function","doc":"Use this method to edit captions of messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned. Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message options - orddict of options Options: :caption - New caption of the message :reply_markup - A JSON-serialized object for an inline keyboard - Nadia.Model.InlineKeyboardMarkup"},{"ref":"Nadia.html#edit_message_reply_markup/4","title":"Nadia.edit_message_reply_markup/4","type":"function","doc":"Use this method to edit only the reply markup of messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned. Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message options - orddict of options Options: :reply_markup - A JSON-serialized object for an inline keyboard - Nadia.Model.InlineKeyboardMarkup"},{"ref":"Nadia.html#edit_message_text/5","title":"Nadia.edit_message_text/5","type":"function","doc":"Use this method to edit text messages sent by the bot or via the bot (for inline bots). On success, the edited Message is returned Args: chat_id - Required if inline_message_id is not specified. Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Required if inline_message_id is not specified. Unique identifier of the sent message inline_message_id - Required if chat_id and message_id are not specified. Identifier of the inline message text - New text of the message options - orddict of options Options: :parse_mode - Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in your bot&#39;s message. :disable_web_page_preview - Disables link previews for links in this message :reply_markup - A JSON-serialized object for an inline keyboard - Nadia.Model.InlineKeyboardMarkup"},{"ref":"Nadia.html#forward_message/3","title":"Nadia.forward_message/3","type":"function","doc":"Use this method to forward messages of any kind. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) from_chat_id - Unique identifier for the chat where the original message was sent or username of the target channel (in the format @channelusername) :disable_notification - Sends the message silently or without notification message_id - Unique message identifier"},{"ref":"Nadia.html#get_chat/1","title":"Nadia.get_chat/1","type":"function","doc":"Use this method to get up to date information about the chat (current name of the user for one-on-one conversations, current username of a user, group or channel, etc.) Returns a Chat object on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @supergroupusername)"},{"ref":"Nadia.html#get_chat_administrators/1","title":"Nadia.get_chat_administrators/1","type":"function","doc":"Use this method to get a list of administrators in a chat. On success, returns an Array of ChatMember objects that contains information about all chat administrators except other bots. If the chat is a group or a supergroup and no administrators were appointed, only the creator will be returned. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername)"},{"ref":"Nadia.html#get_chat_member/2","title":"Nadia.get_chat_member/2","type":"function","doc":"Use this method to get information about a member of a chat. Returns a ChatMember object on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername) user_id - Unique identifier of the target user"},{"ref":"Nadia.html#get_chat_members_count/1","title":"Nadia.get_chat_members_count/1","type":"function","doc":"Use this method to get the number of members in a chat. Returns Int on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @channelusername)"},{"ref":"Nadia.html#get_file/1","title":"Nadia.get_file/1","type":"function","doc":"Use this method to get basic info about a file and prepare it for downloading. For the moment, bots can download files of up to 20MB in size. On success, a File object is returned. The file can then be downloaded via the link https://api.telegram.org/file/bot&lt;token&gt;/&lt;file_path&gt; , where &lt;file_path&gt; is taken from the response. It is guaranteed that the link will be valid for at least 1 hour. When the link expires, a new one can be requested by calling get_file again. Args: file_id - File identifier to get info about"},{"ref":"Nadia.html#get_file_link/1","title":"Nadia.get_file_link/1","type":"function","doc":"Use this method to get link for file for subsequent use. This method is an extension of the get_file method. iex&gt; Nadia.get_file_link(%Nadia.Model.File{file_id: &quot;BQADBQADBgADmEjsA1aqdSxtzvvVAg&quot;, ...&gt; file_path: &quot;document/file_10&quot;, file_size: 17680}) {:ok, &quot;https://api.telegram.org/file/bot\#{Nadia.Config.token()}/document/file_10&quot;}"},{"ref":"Nadia.html#get_me/0","title":"Nadia.get_me/0","type":"function","doc":"A simple method for testing your bot&#39;s auth token. Requires no parameters. Returns basic information about the bot in form of a User object."},{"ref":"Nadia.html#get_sticker_set/1","title":"Nadia.get_sticker_set/1","type":"function","doc":"Use this method to get a sticker set. On success, a StickerSet object is returned. Args: name - Name of the sticker set"},{"ref":"Nadia.html#get_updates/1","title":"Nadia.get_updates/1","type":"function","doc":"Use this method to receive incoming updates using long polling. An Array of Update objects is returned. Args: options - orddict of options Options: :offset - Identifier of the first update to be returned. Must be greater by one than the highest among the identifiers of previously received updates. By default, updates starting with the earliest unconfirmed update are returned. An update is considered confirmed as soon as get_updates is called with an offset higher than its update_id . :limit - Limits the number of updates to be retrieved. Values between 1—100 are accepted. Defaults to 100 :timeout - Timeout in seconds for long polling. Defaults to 0, i.e. usual short polling"},{"ref":"Nadia.html#get_user_profile_photos/2","title":"Nadia.get_user_profile_photos/2","type":"function","doc":"Use this method to get a list of profile pictures for a user. Returns a UserProfilePhotos object. Args: user_id - Unique identifier of the target user options - orddict of options Options: :offset - Sequential number of the first photo to be returned. By default, all photos are returned :limit - Limits the number of photos to be retrieved. Values between 1—100 are accepted. Defaults to 100"},{"ref":"Nadia.html#get_webhook_info/0","title":"Nadia.get_webhook_info/0","type":"function","doc":"Use this method to get current webhook status. Requires no parameters. On success, returns a Nadia.Model.WebhookInfo.t() object with webhook details. If the bot is using getUpdates, will return an object with the url field empty."},{"ref":"Nadia.html#kick_chat_member/2","title":"Nadia.kick_chat_member/2","type":"function","doc":"Use this method to kick a user from a group or a supergroup. In the case of supergroups, the user will not be able to return to the group on their own using invite links, etc., unless unbanned first. The bot must be an administrator in the group for this to work. Returns True on success. Note: This will method only work if the ‘All Members Are Admins’ setting is off in the target group. Otherwise members may only be removed by the group&#39;s creator or by the member that added them. Args: chat_id - Unique identifier for the target group or username of the target supergroup (in the format @supergroupusername) user_id - Unique identifier of the target user"},{"ref":"Nadia.html#leave_chat/1","title":"Nadia.leave_chat/1","type":"function","doc":"Use this method for your bot to leave a group, supergroup or channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target supergroup or channel (in the format @supergroupusername)"},{"ref":"Nadia.html#pin_chat_message/3","title":"Nadia.pin_chat_message/3","type":"function","doc":"Use this method to pin a message in a group, a supergroup, or a channel. The bot must be an administrator in the chat for this to work and must have the ‘can_pin_messages’ admin right in the supergroup or ‘can_edit_messages’ admin right in the channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) message_id - Identifier of a message to pin Options: disable_notification - Pass True, if it is not necessary to send a notification to all chat members about the new pinned message. Notifications are always disabled in channels."},{"ref":"Nadia.html#send_animation/3","title":"Nadia.send_animation/3","type":"function","doc":"Use this method to send animation files (GIF or H.264/MPEG-4 AVC video without sound). On success, the sent Message is returned. Bots can currently send animation files of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) animation - Animation to send. Pass a file_id as String to send an animation that exists on the Telegram servers (recommended), pass an HTTP URL as a String for Telegram to get an animation from the Internet, or upload a new animation using multipart/form-data. Options: :duration - Duration of sent animation in seconds :width - Animation width :height - Animation height :thumb - Thumbnail of the file sent; can be ignored if thumbnail generation for the file is supported server-side. thumbnail should be in JPEG format and less than 200 kB in size. :caption - Animation caption (may also be used when resending animation by file_id), 0-1024 characters :parse_mode - Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in the media caption. :disable_notification - Sends the message silently. Users will receive a notification with no sound. :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to remove reply keyboard or to force a reply from the user."},{"ref":"Nadia.html#send_audio/3","title":"Nadia.send_audio/3","type":"function","doc":"Use this method to send audio files, if you want Telegram clients to display them in the music player. Your audio must be in the .mp3 format. On success, the sent Message is returned. Bots can currently send audio files of up to 50 MB in size, this limit may be changed in the future. For backward compatibility, when the fields title and performer are both empty and the mime-type of the file to be sent is not audio/mpeg, the file will be sent as a playable voice message. For this to work, the audio must be in an .ogg file encoded with OPUS. This behavior will be phased out in the future. For sending voice messages, use the sendVoice method instead. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) audio - Audio to send. Either a file_id to resend an audio that is already on the Telegram servers, or a file_path to upload a new audio options - orddict of options Options: :duration - Duration of the audio in seconds :performer - Performer :title - Track name :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_chat_action/2","title":"Nadia.send_chat_action/2","type":"function","doc":"Use this method when you need to tell the user that something is happening on the bot&#39;s side. The status is set for 5 seconds or less (when a message arrives from your bot, Telegram clients clear its typing status). Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) action - Type of action to broadcast. Choose one, depending on what the user is about to receive: typing for text messages upload_photo for photos record_video or upload_video for videos record_audio or upload_audio for audio files upload_document for general files find_location for location data"},{"ref":"Nadia.html#send_contact/4","title":"Nadia.send_contact/4","type":"function","doc":"Use this method to send phone contacts. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) phone_number - Contact&#39;s phone number first_name - Contact&#39;s first name options - orddict of options Options: :last_name - Contact&#39;s last name :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to hide reply keyboard or to force a reply from the user. - Nadia.Model.InlineKeyboardMarkup or Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_document/3","title":"Nadia.send_document/3","type":"function","doc":"Use this method to send general files. On success, the sent Message is returned. Bots can currently send files of any type of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) document - File to send. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_location/4","title":"Nadia.send_location/4","type":"function","doc":"Use this method to send point on the map. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) latitude - Latitude of location longitude - Longitude of location options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_message/3","title":"Nadia.send_message/3","type":"function","doc":"Use this method to send text messages. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) text - Text of the message to be sent options - orddict of options Options: :parse_mode - Use Markdown , if you want Telegram apps to show bold, italic and inline URLs in your bot&#39;s message :disable_web_page_preview - Disables link previews for links in this message :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_photo/3","title":"Nadia.send_photo/3","type":"function","doc":"Use this method to send photos. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) photo - Photo to send. Either a file_id to resend a photo that is already on the Telegram servers, or a file_path to upload a new photo options - orddict of options Options: :caption - Photo caption (may also be used when resending photos by file_id ) :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_sticker/3","title":"Nadia.send_sticker/3","type":"function","doc":"Use this method to send .webp stickers. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) sticker - File to send. Either a file_id to resend a sticker that is already on the Telegram servers, or a file_path to upload a new sticker options - orddict of options Options: :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_venue/6","title":"Nadia.send_venue/6","type":"function","doc":"Use this method to send information about a venue. On success, the sent Message is returned. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) latitude - Latitude of location longitude - Longitude of location title - Name of the venue address - Address of the venue options - orddict of options Options: :foursquare_id - Foursquare identifier of the venue :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to hide reply keyboard or to force a reply from the user. - Nadia.Model.InlineKeyboardMarkup or Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_video/3","title":"Nadia.send_video/3","type":"function","doc":"Use this method to send video files, Telegram clients support mp4 videos (other formats may be sent as Document). On success, the sent Message is returned. Bots can currently send video files of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) video - Video to send. Either a file_id to resend a video that is already on the Telegram servers, or a file_path to upload a new video options - orddict of options Options: :duration - Duration of the video in seconds :caption - Video caption (may also be used when resending videos by file_id ) :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#send_voice/3","title":"Nadia.send_voice/3","type":"function","doc":"Use this method to send audio files, if you want Telegram clients to display the file as a playable voice message. For this to work, your audio must be in an .ogg file encoded with OPUS (other formats may be sent as Audio or Document). On success, the sent Message is returned. Bots can currently send voice messages of up to 50 MB in size, this limit may be changed in the future. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername) voice - Audio to send. Either a file_id to resend an audio that is already on the Telegram servers, or a file_path to upload a new audio options - orddict of options Options: :duration - Duration of the audio in seconds :disable_notification - Sends the message silently or without notification :reply_to_message_id - If the message is a reply, ID of the original message :reply_markup - Additional interface options. Instructions to hide keyboard or to force a reply from the user - Nadia.Model.ReplyKeyboardMarkup or Nadia.Model.ReplyKeyboardRemove or Nadia.Model.ForceReply"},{"ref":"Nadia.html#set_sticker_position_in_set/2","title":"Nadia.set_sticker_position_in_set/2","type":"function","doc":"Use this method to move a sticker in a set created by the bot to a specific position. Returns True on success. Args: sticker - File identifier of the sticker position - New sticker position in the set, zero-based"},{"ref":"Nadia.html#set_webhook/1","title":"Nadia.set_webhook/1","type":"function","doc":"Use this method to specify a url and receive incoming updates via an outgoing webhook. Whenever there is an update for the bot, we will send an HTTPS POST request to the specified url, containing a JSON-serialized Update. In case of an unsuccessful request, we will give up after a reasonable amount of attempts. Args: options - orddict of options Options: :url - HTTPS url to send updates to."},{"ref":"Nadia.html#unban_chat_member/2","title":"Nadia.unban_chat_member/2","type":"function","doc":"Use this method to unban a previously kicked user in a supergroup. The user will not return to the group automatically, but will be able to join via link, etc. The bot must be an administrator in the group for this to work. Returns True on success. Args: chat_id - Unique identifier for the target group or username of the target supergroup (in the format @supergroupusername) user_id - Unique identifier of the target user"},{"ref":"Nadia.html#unpin_chat_message/1","title":"Nadia.unpin_chat_message/1","type":"function","doc":"Use this method to unpin a message in a group, a supergroup, or a channel. The bot must be an administrator in the chat for this to work and must have the ‘can_pin_messages’ admin right in the supergroup or ‘can_edit_messages’ admin right in the channel. Returns True on success. Args: chat_id - Unique identifier for the target chat or username of the target channel (in the format @channelusername)"},{"ref":"Nadia.html#upload_sticker_file/2","title":"Nadia.upload_sticker_file/2","type":"function","doc":"Use this method to upload a .png file with a sticker for later use in createNewStickerSet and addStickerToSet methods (can be used multiple times). Returns the uploaded File on success. Args: user_id - User identifier of sticker file owner png_sticker - Png image with the sticker, must be up to 512 kilobytes in size, dimensions must not exceed 512px, and either width or height must be exactly 512px. Either a file_id to resend a file that is already on the Telegram servers, or a file_path to upload a new file from local, or a HTTP URL to get a file from the internet."},{"ref":"Nadia.API.html","title":"Nadia.API","type":"module","doc":"Provides basic functionalities for Telegram Bot API."},{"ref":"Nadia.API.html#build_file_url/1","title":"Nadia.API.build_file_url/1","type":"function","doc":"Use this function to build file url. iex&gt; Nadia.API.build_file_url(&quot;document/file_10&quot;) &quot; https://api.telegram.org/file/bot \#{Nadia.Config.token()}/document/file_10&quot;"},{"ref":"Nadia.API.html#request/3","title":"Nadia.API.request/3","type":"function","doc":"Generic method to call Telegram Bot API. Args: method - name of API method options - orddict of options file_field - specify the key of file_field in options when sending files"},{"ref":"Nadia.API.html#request?/3","title":"Nadia.API.request?/3","type":"function","doc":""},{"ref":"Nadia.Behaviour.html","title":"Nadia.Behaviour","type":"behaviour","doc":""},{"ref":"Nadia.Behaviour.html#c:answer_callback_query/2","title":"Nadia.Behaviour.answer_callback_query/2","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:answer_inline_query/3","title":"Nadia.Behaviour.answer_inline_query/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:edit_message_caption/4","title":"Nadia.Behaviour.edit_message_caption/4","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:edit_message_reply_markup/4","title":"Nadia.Behaviour.edit_message_reply_markup/4","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:edit_message_text/5","title":"Nadia.Behaviour.edit_message_text/5","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:forward_message/3","title":"Nadia.Behaviour.forward_message/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_chat/1","title":"Nadia.Behaviour.get_chat/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_chat_administrators/1","title":"Nadia.Behaviour.get_chat_administrators/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_chat_member/2","title":"Nadia.Behaviour.get_chat_member/2","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_chat_members_count/1","title":"Nadia.Behaviour.get_chat_members_count/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_file/1","title":"Nadia.Behaviour.get_file/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_file_link/1","title":"Nadia.Behaviour.get_file_link/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_me/0","title":"Nadia.Behaviour.get_me/0","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_updates/1","title":"Nadia.Behaviour.get_updates/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:get_user_profile_photos/2","title":"Nadia.Behaviour.get_user_profile_photos/2","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:kick_chat_member/2","title":"Nadia.Behaviour.kick_chat_member/2","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:leave_chat/1","title":"Nadia.Behaviour.leave_chat/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_animation/3","title":"Nadia.Behaviour.send_animation/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_audio/3","title":"Nadia.Behaviour.send_audio/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_chat_action/2","title":"Nadia.Behaviour.send_chat_action/2","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_contact/4","title":"Nadia.Behaviour.send_contact/4","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_document/3","title":"Nadia.Behaviour.send_document/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_location/4","title":"Nadia.Behaviour.send_location/4","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_message/3","title":"Nadia.Behaviour.send_message/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_photo/3","title":"Nadia.Behaviour.send_photo/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_sticker/3","title":"Nadia.Behaviour.send_sticker/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_venue/6","title":"Nadia.Behaviour.send_venue/6","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_video/3","title":"Nadia.Behaviour.send_video/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:send_voice/3","title":"Nadia.Behaviour.send_voice/3","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:set_webhook/1","title":"Nadia.Behaviour.set_webhook/1","type":"callback","doc":""},{"ref":"Nadia.Behaviour.html#c:unban_chat_member/2","title":"Nadia.Behaviour.unban_chat_member/2","type":"callback","doc":""},{"ref":"Nadia.Config.html","title":"Nadia.Config","type":"module","doc":""},{"ref":"Nadia.Config.html#base_url/0","title":"Nadia.Config.base_url/0","type":"function","doc":""},{"ref":"Nadia.Config.html#file_base_url/0","title":"Nadia.Config.file_base_url/0","type":"function","doc":""},{"ref":"Nadia.Config.html#graph_base_url/0","title":"Nadia.Config.graph_base_url/0","type":"function","doc":""},{"ref":"Nadia.Config.html#proxy/0","title":"Nadia.Config.proxy/0","type":"function","doc":""},{"ref":"Nadia.Config.html#proxy_auth/0","title":"Nadia.Config.proxy_auth/0","type":"function","doc":""},{"ref":"Nadia.Config.html#recv_timeout/0","title":"Nadia.Config.recv_timeout/0","type":"function","doc":""},{"ref":"Nadia.Config.html#socks5_pass/0","title":"Nadia.Config.socks5_pass/0","type":"function","doc":""},{"ref":"Nadia.Config.html#socks5_user/0","title":"Nadia.Config.socks5_user/0","type":"function","doc":""},{"ref":"Nadia.Config.html#token/0","title":"Nadia.Config.token/0","type":"function","doc":""},{"ref":"Nadia.Graph.html","title":"Nadia.Graph","type":"module","doc":"Provides access to Telegra.ph API. Reference http://telegra.ph/api"},{"ref":"Nadia.Graph.html#create_account/3","title":"Nadia.Graph.create_account/3","type":"function","doc":"Use this method to create a new Telegraph account. Most users only need one account, but this can be useful for channel administrators who would like to keep individual author names and profile links for each of their channels. On success, returns an Account object with the regular fields and an additional access_token field. Args: short_name - account name, helps users with several accounts remember which they are currently using. Displayed to the user above the &quot;Edit/Publish&quot; button on Telegra.ph, other users don&#39;t see this name. 1-32 characters author_name - default author name used when creating new articles. 0-128 characters options - orddict of options Options: :author_url - default profile link, opened when users click on the author&#39;s name below the title. Can be any link, not necessarily to a Telegram profile or channel. 0-512 characters"},{"ref":"Nadia.Graph.html#create_page/4","title":"Nadia.Graph.create_page/4","type":"function","doc":"Use this method to create a new Telegraph page. On success, returns a Page object. Args: access_token - (String) Access token of the Telegraph account. title - (String, 1-256 characters) Page title. content - (Array of Node, up to 64 KB) Content of the page. * options - orddict of options Options: * :author_name - (String, 0-128 characters) Author name, displayed below the article&#39;s title. * :author_url - (String, 0-512 characters) Profile link, opened when users click on the author&#39;s name below the title. Can be any link, not necessarily to a Telegram profile or channel. * :return_content` - (Boolean, default = false) If true, a content field will be returned in the Page object (see: Content format)."},{"ref":"Nadia.Graph.html#edit_account_info/4","title":"Nadia.Graph.edit_account_info/4","type":"function","doc":"Use this method to update information about a Telegraph account. Pass only the parameters that you want to edit. On success, returns an Account object with the default fields. access_token - access token of the Telegraph account short_name - new account name. 1-32 characters author_name - new default author name used when creating new articles. 0-128 characters options - orddict of options Options: :author_url - new default profile link, opened when users click on the author&#39;s name below the title. Can be any link, not necessarily to a Telegram profile or channel. 0-512 characters"},{"ref":"Nadia.Graph.html#edit_page/5","title":"Nadia.Graph.edit_page/5","type":"function","doc":"Use this method to edit an existing Telegraph page. On success, returns a Page object. access_token - (String) Access token of the Telegraph account. path - (String) Path to the page. title - (String, 1-256 characters) Page title. content - (Array of Node, up to 64 KB) Content of the page. options - orddict of options Options: :author_name - (String, 0-128 characters) Author name, displayed below the article&#39;s title. :author_url - (String, 0-512 characters) Profile link, opened when users click on the author&#39;s * :name below - the title. Can be any link, not necessarily to a Telegram profile or channel. :return_content - (Boolean, default = false) If true, a content field will be returned in the Page object."},{"ref":"Nadia.Graph.html#get_account_info/2","title":"Nadia.Graph.get_account_info/2","type":"function","doc":"Use this method to get information about a Telegraph account. Returns an Account object on success. access_token - access token of the Telegraph account fields - list of account fields to return. Available fields: short_name, author_name, author_url, auth_url, page_count"},{"ref":"Nadia.Graph.html#get_page/2","title":"Nadia.Graph.get_page/2","type":"function","doc":"Use this method to get a Telegraph page. Returns a Page object on success. path path to the Telegraph page (in the format Title-12-31, i.e. everything that comes after http://telegra.ph/ ) return_content - if true, content field will be returned in Page object"},{"ref":"Nadia.Graph.html#get_page_list/3","title":"Nadia.Graph.get_page_list/3","type":"function","doc":"Use this method to get a list of pages belonging to a Telegraph account. Returns a PageList object, sorted by most recently created pages first. access_token - access token of the Telegraph account offset - sequential number of the first page to be returned limit - limits the number of pages to be retrieved. 0-200"},{"ref":"Nadia.Graph.html#get_views/2","title":"Nadia.Graph.get_views/2","type":"function","doc":"Use this method to get the number of views for a Telegraph article. Returns a PageViews object on success. By default, the total number of page views will be returned. path - path to the Telegraph page (in the format Title-12-31, where 12 is the month and 31 the day the article was first published) filter_fields - orddict of fields Filter fields: :year - if passed, the number of page views for the requested year will be returned. :month - if passed, the number of page views for the requested month will be returned :day - if passed, the number of page views for the requested day will be returned. :hour - if passed, the number of page views for the requested hour will be returned."},{"ref":"Nadia.Graph.html#revoke_access_token/1","title":"Nadia.Graph.revoke_access_token/1","type":"function","doc":"Use this method to revoke access_token and generate a new one, for example, if the user would like to reset all connected sessions, or you have reasons to believe the token was compromised. On success, returns an Account object with new access_token and auth_url fields. access_token - access token of the Telegraph account"},{"ref":"Nadia.Graph.API.html","title":"Nadia.Graph.API","type":"module","doc":"Provides basic functionalities for Telegram Bot API."},{"ref":"Nadia.Graph.API.html#request/3","title":"Nadia.Graph.API.request/3","type":"function","doc":"Generic method to call Telegram Bot API. Args: method - name of API method options - orddict of options file_field - specify the key of file_field in options when sending files"},{"ref":"Nadia.Graph.Model.html","title":"Nadia.Graph.Model","type":"module","doc":"Types used in Telegra.ph API. Reference http://telegra.ph/api #Available-types"},{"ref":"Nadia.Graph.Model.Account.html","title":"Nadia.Graph.Model.Account","type":"module","doc":""},{"ref":"Nadia.Graph.Model.Account.html#t:t/0","title":"Nadia.Graph.Model.Account.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Model.Error.html","title":"Nadia.Graph.Model.Error","type":"exception","doc":""},{"ref":"Nadia.Graph.Model.Error.html#message/1","title":"Nadia.Graph.Model.Error.message/1","type":"function","doc":"Callback implementation for Exception.message/1 ."},{"ref":"Nadia.Graph.Model.Error.html#t:t/0","title":"Nadia.Graph.Model.Error.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Model.NodeElement.html","title":"Nadia.Graph.Model.NodeElement","type":"module","doc":""},{"ref":"Nadia.Graph.Model.NodeElement.html#t:t/0","title":"Nadia.Graph.Model.NodeElement.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Model.Page.html","title":"Nadia.Graph.Model.Page","type":"module","doc":""},{"ref":"Nadia.Graph.Model.Page.html#t:t/0","title":"Nadia.Graph.Model.Page.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Model.PageList.html","title":"Nadia.Graph.Model.PageList","type":"module","doc":""},{"ref":"Nadia.Graph.Model.PageList.html#t:t/0","title":"Nadia.Graph.Model.PageList.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Model.PageViews.html","title":"Nadia.Graph.Model.PageViews","type":"module","doc":""},{"ref":"Nadia.Graph.Model.PageViews.html#t:t/0","title":"Nadia.Graph.Model.PageViews.t/0","type":"type","doc":""},{"ref":"Nadia.Graph.Parser.html","title":"Nadia.Graph.Parser","type":"module","doc":"Provides parser logics for API results."},{"ref":"Nadia.Graph.Parser.html#parse_result/2","title":"Nadia.Graph.Parser.parse_result/2","type":"function","doc":"parse result field of decoded API response json. Args: result - result field of decoded API response json method - name of API method"},{"ref":"Nadia.Model.html","title":"Nadia.Model","type":"module","doc":"Types used in Telegram Bot API. Reference https://core.telegram.org/bots/api #available-types"},{"ref":"Nadia.Model.Audio.html","title":"Nadia.Model.Audio","type":"module","doc":""},{"ref":"Nadia.Model.Audio.html#t:t/0","title":"Nadia.Model.Audio.t/0","type":"type","doc":""},{"ref":"Nadia.Model.CallbackQuery.html","title":"Nadia.Model.CallbackQuery","type":"module","doc":""},{"ref":"Nadia.Model.CallbackQuery.html#t:t/0","title":"Nadia.Model.CallbackQuery.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Chat.html","title":"Nadia.Model.Chat","type":"module","doc":""},{"ref":"Nadia.Model.Chat.html#t:t/0","title":"Nadia.Model.Chat.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ChatMember.html","title":"Nadia.Model.ChatMember","type":"module","doc":""},{"ref":"Nadia.Model.ChatMember.html#t:t/0","title":"Nadia.Model.ChatMember.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ChatPhoto.html","title":"Nadia.Model.ChatPhoto","type":"module","doc":""},{"ref":"Nadia.Model.ChatPhoto.html#t:t/0","title":"Nadia.Model.ChatPhoto.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ChosenInlineResult.html","title":"Nadia.Model.ChosenInlineResult","type":"module","doc":""},{"ref":"Nadia.Model.ChosenInlineResult.html#t:t/0","title":"Nadia.Model.ChosenInlineResult.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Contact.html","title":"Nadia.Model.Contact","type":"module","doc":""},{"ref":"Nadia.Model.Contact.html#t:t/0","title":"Nadia.Model.Contact.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Document.html","title":"Nadia.Model.Document","type":"module","doc":""},{"ref":"Nadia.Model.Document.html#t:t/0","title":"Nadia.Model.Document.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Error.html","title":"Nadia.Model.Error","type":"exception","doc":""},{"ref":"Nadia.Model.Error.html#message/1","title":"Nadia.Model.Error.message/1","type":"function","doc":"Callback implementation for Exception.message/1 ."},{"ref":"Nadia.Model.Error.html#t:t/0","title":"Nadia.Model.Error.t/0","type":"type","doc":""},{"ref":"Nadia.Model.File.html","title":"Nadia.Model.File","type":"module","doc":""},{"ref":"Nadia.Model.File.html#t:t/0","title":"Nadia.Model.File.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ForceReply.html","title":"Nadia.Model.ForceReply","type":"module","doc":""},{"ref":"Nadia.Model.ForceReply.html#t:t/0","title":"Nadia.Model.ForceReply.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineKeyboardButton.html","title":"Nadia.Model.InlineKeyboardButton","type":"module","doc":""},{"ref":"Nadia.Model.InlineKeyboardButton.html#t:t/0","title":"Nadia.Model.InlineKeyboardButton.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineKeyboardMarkup.html","title":"Nadia.Model.InlineKeyboardMarkup","type":"module","doc":""},{"ref":"Nadia.Model.InlineKeyboardMarkup.html#t:t/0","title":"Nadia.Model.InlineKeyboardMarkup.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQuery.html","title":"Nadia.Model.InlineQuery","type":"module","doc":""},{"ref":"Nadia.Model.InlineQuery.html#t:t/0","title":"Nadia.Model.InlineQuery.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.html","title":"Nadia.Model.InlineQueryResult","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.html#t:t/0","title":"Nadia.Model.InlineQueryResult.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Article.html","title":"Nadia.Model.InlineQueryResult.Article","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Article.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Article.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Audio.html","title":"Nadia.Model.InlineQueryResult.Audio","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Audio.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Audio.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedAudio.html","title":"Nadia.Model.InlineQueryResult.CachedAudio","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedAudio.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedAudio.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedDocument.html","title":"Nadia.Model.InlineQueryResult.CachedDocument","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedDocument.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedDocument.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedGif.html","title":"Nadia.Model.InlineQueryResult.CachedGif","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedGif.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedGif.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedMpeg4Gif.html","title":"Nadia.Model.InlineQueryResult.CachedMpeg4Gif","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedMpeg4Gif.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedMpeg4Gif.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedPhoto.html","title":"Nadia.Model.InlineQueryResult.CachedPhoto","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedPhoto.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedPhoto.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedSticker.html","title":"Nadia.Model.InlineQueryResult.CachedSticker","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedSticker.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedSticker.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedVideo.html","title":"Nadia.Model.InlineQueryResult.CachedVideo","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedVideo.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedVideo.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedVoice.html","title":"Nadia.Model.InlineQueryResult.CachedVoice","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.CachedVoice.html#t:t/0","title":"Nadia.Model.InlineQueryResult.CachedVoice.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Contact.html","title":"Nadia.Model.InlineQueryResult.Contact","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Contact.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Contact.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Document.html","title":"Nadia.Model.InlineQueryResult.Document","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Document.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Document.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Gif.html","title":"Nadia.Model.InlineQueryResult.Gif","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Gif.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Gif.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Location.html","title":"Nadia.Model.InlineQueryResult.Location","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Location.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Location.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Mpeg4Gif.html","title":"Nadia.Model.InlineQueryResult.Mpeg4Gif","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Mpeg4Gif.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Mpeg4Gif.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Photo.html","title":"Nadia.Model.InlineQueryResult.Photo","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Photo.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Photo.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Venue.html","title":"Nadia.Model.InlineQueryResult.Venue","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Venue.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Venue.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Video.html","title":"Nadia.Model.InlineQueryResult.Video","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Video.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Video.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Voice.html","title":"Nadia.Model.InlineQueryResult.Voice","type":"module","doc":""},{"ref":"Nadia.Model.InlineQueryResult.Voice.html#t:t/0","title":"Nadia.Model.InlineQueryResult.Voice.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InputMessageContent.html","title":"Nadia.Model.InputMessageContent","type":"module","doc":""},{"ref":"Nadia.Model.InputMessageContent.html#t:t/0","title":"Nadia.Model.InputMessageContent.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InputMessageContent.Contact.html","title":"Nadia.Model.InputMessageContent.Contact","type":"module","doc":""},{"ref":"Nadia.Model.InputMessageContent.Contact.html#t:t/0","title":"Nadia.Model.InputMessageContent.Contact.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InputMessageContent.Location.html","title":"Nadia.Model.InputMessageContent.Location","type":"module","doc":""},{"ref":"Nadia.Model.InputMessageContent.Location.html#t:t/0","title":"Nadia.Model.InputMessageContent.Location.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InputMessageContent.Text.html","title":"Nadia.Model.InputMessageContent.Text","type":"module","doc":""},{"ref":"Nadia.Model.InputMessageContent.Text.html#t:t/0","title":"Nadia.Model.InputMessageContent.Text.t/0","type":"type","doc":""},{"ref":"Nadia.Model.InputMessageContent.Venue.html","title":"Nadia.Model.InputMessageContent.Venue","type":"module","doc":""},{"ref":"Nadia.Model.InputMessageContent.Venue.html#t:t/0","title":"Nadia.Model.InputMessageContent.Venue.t/0","type":"type","doc":""},{"ref":"Nadia.Model.KeyboardButton.html","title":"Nadia.Model.KeyboardButton","type":"module","doc":""},{"ref":"Nadia.Model.KeyboardButton.html#t:t/0","title":"Nadia.Model.KeyboardButton.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Location.html","title":"Nadia.Model.Location","type":"module","doc":""},{"ref":"Nadia.Model.Location.html#t:t/0","title":"Nadia.Model.Location.t/0","type":"type","doc":""},{"ref":"Nadia.Model.MaskPosition.html","title":"Nadia.Model.MaskPosition","type":"module","doc":""},{"ref":"Nadia.Model.MaskPosition.html#t:t/0","title":"Nadia.Model.MaskPosition.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Message.html","title":"Nadia.Model.Message","type":"module","doc":""},{"ref":"Nadia.Model.Message.html#t:t/0","title":"Nadia.Model.Message.t/0","type":"type","doc":""},{"ref":"Nadia.Model.MessageEntity.html","title":"Nadia.Model.MessageEntity","type":"module","doc":""},{"ref":"Nadia.Model.MessageEntity.html#t:t/0","title":"Nadia.Model.MessageEntity.t/0","type":"type","doc":""},{"ref":"Nadia.Model.PhotoSize.html","title":"Nadia.Model.PhotoSize","type":"module","doc":""},{"ref":"Nadia.Model.PhotoSize.html#t:t/0","title":"Nadia.Model.PhotoSize.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ReplyKeyboardMarkup.html","title":"Nadia.Model.ReplyKeyboardMarkup","type":"module","doc":""},{"ref":"Nadia.Model.ReplyKeyboardMarkup.html#t:t/0","title":"Nadia.Model.ReplyKeyboardMarkup.t/0","type":"type","doc":""},{"ref":"Nadia.Model.ReplyKeyboardRemove.html","title":"Nadia.Model.ReplyKeyboardRemove","type":"module","doc":""},{"ref":"Nadia.Model.ReplyKeyboardRemove.html#t:t/0","title":"Nadia.Model.ReplyKeyboardRemove.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Sticker.html","title":"Nadia.Model.Sticker","type":"module","doc":""},{"ref":"Nadia.Model.Sticker.html#t:t/0","title":"Nadia.Model.Sticker.t/0","type":"type","doc":""},{"ref":"Nadia.Model.StickerSet.html","title":"Nadia.Model.StickerSet","type":"module","doc":""},{"ref":"Nadia.Model.StickerSet.html#t:t/0","title":"Nadia.Model.StickerSet.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Update.html","title":"Nadia.Model.Update","type":"module","doc":""},{"ref":"Nadia.Model.Update.html#t:t/0","title":"Nadia.Model.Update.t/0","type":"type","doc":""},{"ref":"Nadia.Model.User.html","title":"Nadia.Model.User","type":"module","doc":""},{"ref":"Nadia.Model.User.html#t:t/0","title":"Nadia.Model.User.t/0","type":"type","doc":""},{"ref":"Nadia.Model.UserProfilePhotos.html","title":"Nadia.Model.UserProfilePhotos","type":"module","doc":""},{"ref":"Nadia.Model.UserProfilePhotos.html#t:t/0","title":"Nadia.Model.UserProfilePhotos.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Venue.html","title":"Nadia.Model.Venue","type":"module","doc":""},{"ref":"Nadia.Model.Venue.html#t:t/0","title":"Nadia.Model.Venue.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Video.html","title":"Nadia.Model.Video","type":"module","doc":""},{"ref":"Nadia.Model.Video.html#t:t/0","title":"Nadia.Model.Video.t/0","type":"type","doc":""},{"ref":"Nadia.Model.Voice.html","title":"Nadia.Model.Voice","type":"module","doc":""},{"ref":"Nadia.Model.Voice.html#t:t/0","title":"Nadia.Model.Voice.t/0","type":"type","doc":""},{"ref":"Nadia.Model.WebhookInfo.html","title":"Nadia.Model.WebhookInfo","type":"module","doc":""},{"ref":"Nadia.Model.WebhookInfo.html#t:t/0","title":"Nadia.Model.WebhookInfo.t/0","type":"type","doc":""},{"ref":"Nadia.Parser.html","title":"Nadia.Parser","type":"module","doc":"Provides parser logics for API results."},{"ref":"Nadia.Parser.html#parse_result/2","title":"Nadia.Parser.parse_result/2","type":"function","doc":"parse result field of decoded API response json. Args: result - result field of decoded API response json method - name of API method"}]